#
# spec file for package xfce4-mixer
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.10.0

Name:           xfce4-mixer
Version:        4.11.0
Release:        3.4
Summary:        Volume Control Application for the Xfce Desktop Environment
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Mixers
Url:            http://www.xfce.org/
Source:         http://archive.xfce.org/src/apps/xfce4-mixer/4.11/xfce4-mixer-%{version}.tar.bz2
Source100:      %{name}-rpmlintrc
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(keybinder)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRequires:  pkgconfig(unique-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gstreamer-0_10-plugins-base
Recommends:     %{name}-lang = %{version}
Suggests:       xfce4-panel-plugin-mixer

%description
xfce4-mixer is a volume control application for the Xfce desktop
environment.

%package -n xfce4-panel-plugin-mixer
Summary:        Volume Control Plugin for the Xfce Panel
Group:          Productivity/Multimedia/Sound/Mixers
Requires:       %{name} = %{version}
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-mixer
This package contains the xfce4-mixer Xfce panel plugin.

%lang_package

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libmixer.la

%find_lang %{name} %{?no_lang_C}

%suse_update_desktop_file -i xfce4-mixer Settings DesktopSettings

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/xfce4-mixer
%{_datadir}/applications/*.desktop
%dir %{_datadir}/xfce4-mixer
%{_datadir}/xfce4-mixer/icons
%{_datadir}/pixmaps/xfce4-mixer/
%{_mandir}/man1/xfce4-mixer.1*

%files -n xfce4-panel-plugin-mixer
%defattr(-,root,root)
%{_libdir}/xfce4/panel/plugins/libmixer.so
%{_datadir}/xfce4/panel/plugins/mixer.desktop

%files lang -f %{name}.lang

%changelog
* Thu May  1 2014 gber@opensuse.org
- update to version 4.11.0
  - updated translations.
  - fixed button sizing in some themes.
  - g_thread_init is deprecated.
  - refactor the handling of minimum volumes
  - do not assume a minimum volume of 0 in the keyboard shortcut
    handling
  - correct debugging instructions
  - avoid unused variable warning when buildwing without keybinder
    (bxo#9544)
  - move the XFCE_MIXER_PLUGIN_DEFAULT_COMMAND macro to where it is
    used
  - extend documentation in README
  - rename variable which may shadow index(3) (bxo#9374)
  - fix mnemonics in the plugin menu that conflict with those of
    default menu items (bxo#9339)
- drop obsolete xfce4-mixer-fix-default-window-size.patch
* Fri Jan 18 2013 gber@opensuse.org
- remove compat symlink causing the plugin to show up twice
* Thu Oct 11 2012 gber@opensuse.org
- added xfce4-mixer-fix-default-window-size.patch in order to
  initialize window width and height to default values
* Wed Oct 10 2012 gber@opensuse.org
- update to version 4.10.0
  - do not use G_VALUE_INIT which is only available in glib >= 2.30
  - translation updates
- drop obsolete xfce4-mixer-do-not-use-glib-2.30-symbols.patch and
  xfce4-mixer-fix-typo.patch
* Thu Sep 27 2012 gber@opensuse.org
- added xfce4-mixer-do-not-use-glib-2.30-symbols.patch in order to
  not use symbols that are only available in glib > 2.30.0
  (backported from upstream git)
- added compatibility symlink for the panel plugin to ease the
  migration
* Thu Sep 27 2012 gber@opensuse.org
- update to version 4.9.0
  - use standard icons where possible
  - support xfce4-panel 4.10 with its deskbar mode
  - handle unconfigured state more gracefully
  - mute a track when the volume is set to 0%% and unmute when set
    to a higher value
  - add global keyboard shortcuts for raising and lowering the
    volume as well as muting
  - store settings in xfconf and keep them in sync
  - populate the mixer with whitelisted controls in the absence of
    an existing configuration
  - add a popup with a scale for setting the volume to the panel
    plugin which is opened on left click, allow running the
    user-defined command previously bound to left click from the
    panel plugin context menu instead
  - make xfce4-mixer a singleton application
  - add runtime debugging mode to both the mixer and the panel
    plugin
  - add man page for xfce4-mixer
  - handle identically named tracks and tracks which are read-only
    or have no mute or record functionality
- added xfce4-mixer-fix-typo to correct a typo causing build
  failures with glib < 2.32.0 (backported from upstream git)
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Tue Mar  8 2011 gber@opensuse.org
- update to version 4.8.0
  - Fix too small plugin button in the new panel.
  - Ellipsize sound card names in the combo box (bug #6671).
  - Remove deprecated Encoding key from desktop files.
  - Port to libxfce4ui.
  - Fix wrong use of GTK+ causing the panel plugin volume to be set no higher
    than 90%% (bug #5243).
  - Fixed a lot of compiler warnnings and errors.
  - Updated translations: Dutch, English (United Kingdom), Galician, Greek,
    Italian, Kazakh, Portuguese, Romanian, Russian, Sinhala, Turkish,
    Uyghur and more.
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Thu Feb  3 2011 gber@opensuse.org
- update to current git snapshot (4.6.1.99_git20110203)
  - port to libxfce4ui
  - bugfixes
  - translation updates
- remove unsupported locales
* Mon Dec 27 2010 gber@opensuse.org
- suggest xfce4-panel-plugin-mixer
* Mon Dec 27 2010 gber@opensuse.org
- renamed rpmlintrc
- split off xfce4-panel-plugin-mixer
- corrected group
* Wed Dec 15 2010 prusnak@opensuse.org
- spec cleanup
* Wed Aug 19 2009 prusnak@suse.cz
- added xfce4-panel to Requires
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 4.6.1
  - Translation updates: es (Abel Martín), pl (Piotr Sokół),
    gl (Leandro Regueiro), pt (Nuno Miguel), it (Cristian Marchi)
  - Make <Control>q and <Control>s trigger the corresponding actions.
  - Minor cosmetic fixes (row spacing of 6px in tables).
  - Add missing AudioVideo category which is obligatory if you use the Audio
    category (bug #4933).
  - Display mute/record state properly on startup (bug #5002).
  - Fix segfault when destroying the plugin
  - Move capture track check into xfce_mixer_track_update_record().
  - Don't increment the reference count on GObjects when passing them to GValue
    using g_value_set_object().
  - Fix crash with backends where the GstMixer implementation has no
    "device-name" property (bug #5201).
  - Include libxfcegui4.h to avoid implicit declaration of xfce_err().
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Wed Nov  5 2008 prusnak@suse.cz
- updated to 4.4.3
  * translations polish
* Mon Dec  3 2007 bwalle@suse.de
- update to 4.4.2
  o Fix parallel build of xfce4-mixer (Bug #2892).
  o Updated and new translations
* Sun Oct 21 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Wed Jun 20 2007 prusnak@suse.cz
- added alsa-devel to Requires of -devel subpackage
- use %%find_lang
* Wed May  2 2007 prusnak@suse.cz
- changed expat to libexpat-devel in Requires
* Wed Apr 25 2007 prusnak@suse.cz
- do not use parallel make, causes trouble
* Tue Apr 17 2007 prusnak@suse.cz
- disabled build of static libraries
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1
  o Follow the HIG specifications on the buttons.
  o Add test_vc to Makefile.am.
  o Many translation updates.
* Mon Jan 29 2007 pnemec@suse.cz
- package merged from BuildService
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 4.4.0
